org.eclipse.cdt.core

## Interface IErrorParser

All Known Subinterfaces:
  IErrorParser2, IErrorParser3, IErrorParserNamed

All Known Implementing Classes:
  AbstractErrorParser, ErrorParserNamedWrapper, FixitErrorParser, RegexErrorParser

    public interface IErrorParser

Interface for error parser to parse build output to produce Errors, Warnings or Infos in Problems View.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `processLine(String line, ErrorParserManager eoParser)` Finds error or warnings on the given line

### Method Detail

#### processLine

    boolean processLine(String line,
                        ErrorParserManager eoParser)

Finds error or warnings on the given line

Parameters:
  `line` - - line to process
  `eoParser` - - `ErrorParserManager`
Returns:
  `true` if the parser found a problem reported in output. More accurately, `true` will consume the line (prevent other parsers from seeing it) and `false` won't (the line will be handed to the next parser).